/**
 * @file
 * @brief Message printing interface
 *
 * This file contains a simple interface for printing echelog messages
 * in a human readable form. 
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */

#ifndef ECHELOG_MSGPRINTER_H
#define ECHELOG_MSGPRINTER_H

#include "msgbuf.h"
#include "msgchunk.h"

namespace messages {

/**
 * @brief TODOC:
 */
class tMsgPrinter
{
    public:
        //-------------------------------
        // Interface
        //-------------------------------

        /// Constructor---initalizes new memory pool for internal use
        tMsgPrinter () : m_chunk_mp (MAX_MESSAGE_SIZE) {};
        /// Destructor---releases allocated space
        virtual ~tMsgPrinter () {};

        /**
         * @brief TODOC:
         */
        virtual bool print_message (int logfd, messages::tMsgBuf& msg);

    protected:
        //-------------------------------
        // Internal methods
        //-------------------------------

        /**
         * @brief TODOC:
         */
        virtual int print_header (int logfd, messages::tMsgBuf &message);

        /**
         * @brief TODOC:
         */
        virtual int printout (int logfd, lib::tList &list);

        /**
         * @brief TODOC:
         */
        virtual int print_chunk (int logfd, messages::tMsgChunk &chunk,
            int32_t num);

        /**
         * @brief TODOC:
         */
        virtual const char* str_status (messages::tMSG_STATUS status) const;

        //-------------------------------
        // Owned components
        //-------------------------------

        lib::tMemPool m_chunk_mp;
};

}

#endif

