/**
 * @file
 * @brief Echelog Library -- Message handling
 * This only defines possible values of message status field
 *
 * @author Kamil Toman <ktoman@email.cz>
 */
#ifndef _ECHELOG_MSGSTATUS_H
#define _ECHELOG_MSGSTATUS_H

namespace messages {

/**
 * Messsage status field 
 */
typedef enum {
    ST_UNKNOWN = 0xff,  ///< Unknown message
    ST_NOCHANGE = 0,    ///< Unchanged message
    ST_ADDED = 1,       ///< Message describing new object or event
    ST_REMOVED = 2,     ///< Message discarding previous relevant messsage
    ST_CHANGED = 3,     ///< Message updating previous relevant message
    ST_ITEM = 4         ///< Message is an item of snapshot
} tMSG_STATUS;           ///< Message status

}

#endif
