/**
 * @file
 * @brief Echelog Library -- "Type" handling
 *
 * Supplementary structures and functions for type printouts
 *      
 * @author Kamil Toman <ktoman@email.cz>
 *
 */
#ifndef _ECHELOG_PRINTOUT_H
#define _ECHELOG_PRINTOUT_H

#include "messages/msgbuf.h"

namespace messages {

struct tFmtNode;    

/// Link to next node of a formatting tree or to a leaf
union tFmtLink
{
    tFmtNode *link; //< pointer to a subtree
    char *format;   //< pointer to a format string
};

/// Formatting description
struct tFmtNode
{
    int32_t num_of_nodes;  //< >0 for nodes, =0 for leaves
    tFmtLink *nodes;            //< children
};

/// parses a format string to a decription tree
tFmtNode * create_fmt_tree (lib::tMemPool &pool, const char * format);

/// get printout temporary mempool
lib::tMemPool &get_prpool();

}

#endif
