/**
 * @file
 * @brief Configuration reading 
 *
 * @author Ales Privetivy <ales@ucw.cz>
 *
 */

#ifndef _ECHELOG_STD_CONF_H
#define _ECHELOG_STD_CONF_H

#include "lib/lib.h"

namespace messages {

typedef enum {
    CF_OK = 0,
    CF_E_PROCESS = 1,
    CF_E_REQUIRED,
    CF_E_READ
} tConfError;

/** Registers types, messages sections and do the load from file */
tConfError cf_read_std_configuration (int argc, char *argv[]);

/** Reloads configuration part */
tConfError cf_reread_configuration (lib::tMemPool &pool);

/** Reloads all registered sections and given configuration section */
tConfError cf_reread_section (lib::cfitem* section, lib::tMemPool &pool);

/// Function which takes message definition and places it in msg-list
extern char *cf_register_message (lib::cfitem *item, char *buffer);

/// Function which removes all messages from the msg-list
extern void cf_unregister_messages (lib::cfitem *item);

}

#endif
