/**
 * @file
 * @brief Echelog Library -- "Type" handling
 * This type can be used for handling echelog "complex types"
 *      
 * @author Kamil Toman <ktoman@email.cz>
 *
 * This file is generated automatically.
 */
#ifndef _ECHELOG_HOST_H
#define _ECHELOG_HOST_H

#include "messages/types/complex.h"
#include "messages/types/ipv4addr.h"
#include "messages/types/hostname.h"

namespace messages {

/**
 * tHost is an automatically generated echelog "complex type"
 */
class tHost : public tComplex
{
    protected:
        /** Get type info */
        virtual tTypeNumber get_type () const;

    public:
        /**
         * Complex type components 
         */
        tIPv4Addr ip;
        tHostname fqdn;

    public:
        /** The value is explicitly set null on creation */
        tHost(lib::tMemPool &mem_pool_buffer);
        /** Complex type destructor */
        virtual ~tHost() {};

        /** Get the number of components */
        virtual int32_t get_num_of_components () const
            { return 2; }


        /** Get the default formating tree */
        virtual const tFmtNode * get_default_format();
};

}

#endif

