/**
 * @file
 * @brief Echelog Library -- "Type" handling
 * This type can be used for handling echelog "complex types"
 *      
 * @author Kamil Toman <ktoman@email.cz>
 *
 * This file is generated automatically.
 */
#ifndef _ECHELOG_LOGIN_H
#define _ECHELOG_LOGIN_H

#include "messages/types/complex.h"
#include "messages/types/user.h"
#include "messages/types/host.h"
#include "messages/types/unixtime.h"

namespace messages {

/**
 * tLogin is an automatically generated echelog "complex type"
 */
class tLogin : public tComplex
{
    protected:
        /** Get type info */
        virtual tTypeNumber get_type () const;

    public:
        /**
         * Complex type components 
         */
        tUser user;
        tHost host;
        tUnixTime time;

    public:
        /** The value is explicitly set null on creation */
        tLogin(lib::tMemPool &mem_pool_buffer);
        /** Complex type destructor */
        virtual ~tLogin() {};

        /** Get the number of components */
        virtual int32_t get_num_of_components () const
            { return 3; }


        /** Get the default formating tree */
        virtual const tFmtNode * get_default_format();
};

}

#endif

