/**
 * @file
 * @brief Echelog Library -- "Type" handling
 * This type can be used for handling echelog "complex types"
 *      
 * @author Kamil Toman <ktoman@email.cz>
 *
 * This file is generated automatically.
 */
#ifndef _ECHELOG_USER_H
#define _ECHELOG_USER_H

#include "messages/types/complex.h"
#include "messages/types/int32.h"
#include "messages/types/username.h"

namespace messages {

/**
 * tUser is an automatically generated echelog "complex type"
 */
class tUser : public tComplex
{
    protected:
        /** Get type info */
        virtual tTypeNumber get_type () const;

    public:
        /**
         * Complex type components 
         */
        tInt32 uid;
        tUsername username;

    public:
        /** The value is explicitly set null on creation */
        tUser(lib::tMemPool &mem_pool_buffer);
        /** Complex type destructor */
        virtual ~tUser() {};

        /** Get the number of components */
        virtual int32_t get_num_of_components () const
            { return 2; }


        /** Get the default formating tree */
        virtual const tFmtNode * get_default_format();
};

}

#endif

