/**
 * @file
 * @brief Echelog Library -- "Type" handling
 * This type can be used for handling aliased types
 *      
 * @author Kamil Toman <ktoman@email.cz>
 *
 * This file is generated automatically.
 */
#ifndef _ECHELOG_USERNAME_H
#define _ECHELOG_USERNAME_H

#include "messages/types/varchar.h"

namespace messages {

/** 
 * tUsername is an automatically generated echelog "type"
 */
class tUsername : public tVarchar
{
    public:
        /** The value is explicitly set null on creation */
        tUsername (lib::tMemPool &mem_pool_buffer) 
            : tVarchar (mem_pool_buffer) {}

        /** Get the default formating tree */
        virtual const tFmtNode * get_default_format();

        /** Get the plain formating tree */
        virtual const tFmtNode * get_plain_format();

};

}

#endif

