/**
 * @file
 * @brief Contains declaration of tSimpleModule class
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */

#ifndef ECHELOG_SIMPLEMODULE_H
#define ECHELOG_SIMPLEMODULE_H

#include "mframes/module.h"

namespace mframes {

/**
 * @brief TODOC:
 */
class tSimpleModule : public tModule
{
    public:
        //-------------------------------
        // Interface
        //-------------------------------

        /**
         * TODOC:
         * @brief Filter module's cleanup
         *
         * Call this function to clean and release all resources. Should
         * be called after successful initialization by init().
         */
        virtual void cleanup ();

        /**
         * TODOC:
         */
        virtual bool run ();

        /**
         * TODOC:
         */
        bool init ();


    protected:
        /**
         * @brief Constructor
         */
        tSimpleModule (tCmdLine& cmdline, const char* cfg_filename);

        /**
         * TODOC:
         */
        virtual bool process () = 0;

    private:
        //-------------------------------
        // Object state
        //-------------------------------

        bool m_inited;
};

} //end of namespace mframes

#endif //ifdef ECHELOG_SIMPLEMODULE_H

