/*
 * @brief Echelog Spool Library -- Queue implementation - header file
 * expansion pack
 * @author Ales Privetivy <ales@ucw.cz>
 *
 */

/* forces synchro of mmaped file */
inline int tQueue::synchro_idx_file()
{
    using namespace lib;

    /* we can synchro only maped index file */
    if ( !present ) return 0;

    /* synchro it */ 
    if ( msync ( idx , MAX_PAGES * sizeof( tIdentificator ), MS_SYNC ) )
    {
        log(L_ERROR, "QUEUE: Cannot synchronize index file (\"%s\"): %m",
	             filename );
        return -1;
    }

    return 0;
}

/* returns the pointer to item with item_id */
inline char *tQueue::get_item(tIdentificator item_id)
{
    return pg_file[1] -> get_item ( item_id );
}

/* return id of the last item in the queue*/
inline tIdentificator tQueue::get_last_id()
{
    return pg_file[pages] -> get_last_id();
}

/* return id of the first item in queue */
inline tIdentificator tQueue::get_first_id()
{
    return pg_file[1] -> get_first_id();
}

/* return id of the first nonextracted item in queue */
inline tIdentificator tQueue::get_first_nonextracted_id()
{
    return pg_file[1] -> get_first_nonextracted_id();
}

/* return number of items currently in queue */
inline tIdentificator tQueue::get_item_count()
{
    return (get_last_id()-get_first_id());	
}

/* returns the item description structure */
inline struct tItem *tQueue::get_item_description(tIdentificator item_id, struct tItem *it_desc)
{
    return pg_file[1]->get_item_description(item_id, it_desc);
}

/* returns the status field in item described by item_id */
inline enum ITEMSTATUS tQueue::get_status(tIdentificator item_id)
{
    return pg_file[1]->get_status(item_id);
}
