/**
 * @brief Echelog Library -- Memory Allocation
 * @author Martin Mares <mj@ucw.cz>
 * @author Ales Privetivy <ales@ucw.cz>
 *	
 */

#include <stdlib.h>
#include <string.h>

#include "lib/lib.h"

namespace lib {

void * xmalloc(unsigned long size)
{
    ASSERT (size > 0);
    void *x = malloc(size);
    if (!x)
        die("Cannot allocate %d bytes of memory", size);
    return x;
}


void * xmalloc_zero(unsigned long size)
{
    void *x = xmalloc(size);
    memset(x, 0, size);
    return x;
}


void * xrealloc(void *ptr, unsigned long new_size)
{
    ASSERT (new_size > 0);
    void *x = realloc(ptr, new_size);
    if (!x)
        die("Cannot allocate %d bytes of memory", new_size);
    return x;
}

}
