/**
 * @brief Echelog Library -- Signal handlers 
 * @author Ales Privetivy <ales@ucw.cz> 
 *	
 */

#include "lib/lib.h"

#include <signal.h>
#include <string.h>
#include <errno.h>

namespace lib {

void set_signal_handler(int signum, void (*handler)(int))
{
     struct sigaction sa;

     memset( &sa, 0, sizeof( sa ) ); 
     sa.sa_flags = SA_RESTART;
     sa.sa_handler = handler;

     while ( sigaction( signum, &sa, NULL ) )
     {
         if ( errno != EINTR ) 
	     die("Cannot install signal-handler: %m");
     }
     
}

} 
