/**
 * @brief Echelog Library -- Plain buffer handling
 * This class covers the I/O message buffering. 
 *
 * The module contains error messages since the inlining them
 * again and again would bloat the code.
 *      
 * @author Kamil Toman <ktoman@email.cz>
 *
 */

#include "messages/plainbuf.h"
#include "messages/testbuf.h"

namespace messages {

/* PlainBuf error messages. Be carefull not to spoil the order. 
   Add new error messages only to the end for instance. */
char *gb_plainbuf_errors[] =
{
    "Attempt to read/write the message buffer before its marker",
    "Attempt to read the message buffer behind its end",
    "Attempt to write the message buffer behind its end",
    "Cannot allocate %d bytes of memory",
    "The message buffer must be allocated!",
    "The message buffer length is expected to be >= 0",
    "Reading string length <= 0 from the message buffer",
    "Writing string of zero length to the message buffer",
    "The buffer is not prepared for reading",
    "The buffer is not prepared for writing",
    "The buffer is not prepared for I/O",
    "An attempt to read from a non-existent buffer"
};

}
