/**
 * @file
 * @brief Echelog Library -- "Type" handling
 * This type define the basic opertaions for handling echelog types.
 *      
 * @author Kamil Toman <ktoman@email.cz>
 */

#include "messages/types/echelogtype.h"


namespace messages {


int tEchelogType::merge (tEchelogType &tp)
{
    if (!is_compatible (tp))
        return -1;

    if (!tp.is_null ())
        if (is_null ())
            assign (tp);
        else if (order (tp) != TP_IDENTICAL)
            return -1;

    return 0;
}

}
