/**
 * @brief Echelog Library -- Type Manager Class
 *
 * Type manager is supposed to handle all available echelog "types"
 * compiled in modules.   
 *
 * @author Kamil Toman <ktoman@email.cz>
 *
 * This file is generated automatically.
 */

#include "messages/types/typemgr.h"


namespace messages { 


tTypeMgr::tTypeMgr ()
{
    using namespace lib;
    using namespace private_messages;

    type_list[0].type_number = 0;
    type_list[0].name = "BYTE";
    type_list[0].registered = 0;
    type_list[0].num_of_components = 0;
    type_list[0].type_components = NULL;

    type_list[3].type_number = 3;
    type_list[3].name = "INT16";
    type_list[3].registered = 0;
    type_list[3].num_of_components = 0;
    type_list[3].type_components = NULL;

    type_list[4].type_number = 4;
    type_list[4].name = "INT32";
    type_list[4].registered = 0;
    type_list[4].num_of_components = 0;
    type_list[4].type_components = NULL;

    type_list[10].type_number = 10;
    type_list[10].name = "VARCHAR";
    type_list[10].registered = 0;
    type_list[10].num_of_components = 0;
    type_list[10].type_components = NULL;

    type_list[5].type_number = 5;
    type_list[5].name = "IPV4_ADDR";
    type_list[5].registered = 0;
    type_list[5].num_of_components = 0;
    type_list[5].type_components = NULL;

    type_list[7].type_number = 7;
    type_list[7].name = "UNIXTIME";
    type_list[7].registered = 0;
    type_list[7].num_of_components = 0;
    type_list[7].type_components = NULL;

    type_list[2].type_number = 10;
    type_list[2].name = "HOSTNAME";
    type_list[2].registered = 0;
    type_list[2].num_of_components = 0;
    type_list[2].type_components = NULL;

    type_list[9].type_number = 10;
    type_list[9].name = "USERNAME";
    type_list[9].registered = 0;
    type_list[9].num_of_components = 0;
    type_list[9].type_components = NULL;

    type_list[8].type_number = 8;
    type_list[8].name = "USER";
    type_list[8].registered = 0;
    type_list[8].num_of_components = 2;
    type_list[8].type_components = static_cast<tComponentDesc *> 
        (xmalloc (2 * sizeof (tComponentDesc)));;
    type_list[8].type_components[0].name = "uid";
    type_list[8].type_components[0].type_name = "INT32";
    type_list[8].type_components[0].type_descriptor = &type_list[4];
    type_list[8].type_components[1].name = "username";
    type_list[8].type_components[1].type_name = "USERNAME";
    type_list[8].type_components[1].type_descriptor = &type_list[9];

    type_list[1].type_number = 1;
    type_list[1].name = "HOST";
    type_list[1].registered = 0;
    type_list[1].num_of_components = 2;
    type_list[1].type_components = static_cast<tComponentDesc *> 
        (xmalloc (2 * sizeof (tComponentDesc)));;
    type_list[1].type_components[0].name = "fqdn";
    type_list[1].type_components[0].type_name = "HOSTNAME";
    type_list[1].type_components[0].type_descriptor = &type_list[2];
    type_list[1].type_components[1].name = "ip";
    type_list[1].type_components[1].type_name = "IPV4_ADDR";
    type_list[1].type_components[1].type_descriptor = &type_list[5];

    type_list[6].type_number = 6;
    type_list[6].name = "LOGIN";
    type_list[6].registered = 0;
    type_list[6].num_of_components = 3;
    type_list[6].type_components = static_cast<tComponentDesc *> 
        (xmalloc (3 * sizeof (tComponentDesc)));;
    type_list[6].type_components[0].name = "host";
    type_list[6].type_components[0].type_name = "HOST";
    type_list[6].type_components[0].type_descriptor = &type_list[1];
    type_list[6].type_components[1].name = "time";
    type_list[6].type_components[1].type_name = "UNIXTIME";
    type_list[6].type_components[1].type_descriptor = &type_list[7];
    type_list[6].type_components[2].name = "user";
    type_list[6].type_components[2].type_name = "USER";
    type_list[6].type_components[2].type_descriptor = &type_list[8];


}


tTypeNumber tByte::get_type() const
{
    return 0;
}

tTypeNumber tInt16::get_type() const
{
    return 3;
}

tTypeNumber tInt32::get_type() const
{
    return 4;
}

tTypeNumber tVarchar::get_type() const
{
    return 10;
}

tTypeNumber tIPv4Addr::get_type() const
{
    return 5;
}

tTypeNumber tUnixTime::get_type() const
{
    return 7;
}

tTypeNumber tUser::get_type() const
{
    return 8;
}

tTypeNumber tHost::get_type() const
{
    return 1;
}

tTypeNumber tLogin::get_type() const
{
    return 6;
}


}

