/**
 * @file
 * @brief Contains implementation of tMsgTarget class
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */

#include "mframes/msgtarget.h"

namespace mframes {

using namespace lib;

bool tMsgTarget::process_buffer (char* buf, int len)
{
    /* prepare message */
    messages::tMsgBuf message;
    if (message.prepare_to_read (buf, len))
    {
    	log (L_ERROR, "Unable to prepare a message for reading, "
    	    "aborting message processing.");
    	return true;
    }
    m_read_len = len;

    return process_msg (message);
}

} //end of namespace mframes
