/**
 * @file
 * @brief Echelog Aggregator
 *
 * This file contains implementation of aggregator's main and stuff around.
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */                                                                             

#include "aggregatortarget.h"
#include "mframes/msgprocessingmodule.h"

using namespace mframes;

/// Name of the file, where the scond's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

/// --===  PROGRAM ENTRY POINT ===--
int main (int argc, char *argv[])
{
    tModule::tCmdLine cmdline (argc, argv);
    tAggregatorTarget target;
    tMsgProcessingModule aggregator (cmdline, cfg_filename);

    if (aggregator.init (&target, true))
        return 1;

    int ret = aggregator.run ();
    aggregator.cleanup ();

    return ret;
}
