/**
 * @file
 * @brief Echelog AlertMaster
 *
 * This file contains implementation of alertmasters's main and stuff around.
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */                                                                             

#include "alertmastertarget.h"
#include "mframes/msgprocessingmodule.h"

using namespace mframes;

/// Name of the file, where the scond's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

/// --===  PROGRAM ENTRY POINT ===--
int main (int argc, char *argv[])
{
    tModule::tCmdLine cmdline (argc, argv);
    tAlertMasterTarget target;
    tMsgProcessingModule alertmaster (cmdline, cfg_filename);

    if (alertmaster.init (&target, false))
        return 1;

    int ret = alertmaster.run ();
    alertmaster.cleanup ();

    return ret;
}
