/**
 * @file
 * @brief Echelog Simple Condition Filter
 *
 * This file contains implementation of filter's main and stuff around.
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */                                                                             

#include "filtertarget.h"
#include "mframes/msgprocessingmodule.h"

using namespace mframes;

/// Name of the file, where the scond's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

/// --===  PROGRAM ENTRY POINT ===--
int main (int argc, char *argv[])
{
    tModule::tCmdLine cmdline (argc, argv);
    tFilterTarget target;
    tMsgProcessingModule filter (cmdline, cfg_filename);

    if (filter.init (&target, true))
        return 1;

    int ret = filter.run ();
    filter.cleanup();

    return ret;
}
