/**
 * @file
 * @brief Echelog Logstor
 *
 * This file contains implementation of logstor's main and stuff around.
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */                                                                             

#include "logstortarget.h"
#include "mframes/msgprocessingmodule.h"

using namespace mframes;

/// Name of the file, where the scond's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

/// --===  PROGRAM ENTRY POINT ===--
int main (int argc, char *argv[])
{
    tModule::tCmdLine cmdline (argc, argv);
    tLogStorTarget target;
    tMsgProcessingModule logstor (cmdline, cfg_filename);

    if (logstor.init (&target, true))
        return 1;

    int ret = logstor.run ();
    logstor.cleanup ();

    return ret;
}
