/**
 * @brief Echelog Miniagent -- netstat main and stuff around
 * 
 * @module main netstat module
 *
 * This agent periodically executes netstat and collected information
 * passes as echelog messages.
 *
 * @author Kamil Toman <ktoman@email.cz>, Marek Zoth <marek.zoth@volny.cz>
 *
 */

#include "netstatparser.h"
#include "magents/parsingmagent.h"

/// Name of the file, where the ps's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

using namespace mframes;
using namespace magents;

/* --===  PROGRAM ENTRY POINT ===-- */
int main (int argc, char *argv[])
{
    tNetstatParser parser;
    tModule::tCmdLine cmdline (argc, argv);
    tParsingMagent netstat (cmdline, cfg_filename, parser);

    /* init an agent */
    if (netstat.init ("mnet"))
        return 1;

    int ret = netstat.run ();
    netstat.cleanup();

    return ret;
}
