/**
 * @brief Echelog Miniagent -- ps main and stuff around
 *
 * This agent periodically executes ps and collected information
 * passes as echelog messages.
 *
 * @author Kamil Toman <ktoman@email.cz>, Marek Zoth <marek.zoth@volny.cz>
 *
 */

#include "psparser.h"
#include "magents/parsingmagent.h"

/// Name of the file, where the ps's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

using namespace magents;
using namespace mframes;

/* --===  PROGRAM ENTRY POINT ===-- */
int main (int argc, char *argv[])
{
    tPsParser parser;
    tModule::tCmdLine cmdline (argc, argv);
    tParsingMagent ps (cmdline, cfg_filename, parser);

    /* init an agent */
    if (ps.init ("mips"))
        return 1;

    int ret = ps.run ();
    ps.cleanup();

    return ret;
}
