/**
 * @brief Echelog Miniagent -- utmp main and stuff around
 *
 * This agent periodically executes utmp and collected information
 * passes as echelog messages.
 *
 * @author Kamil Toman <ktoman@email.cz>, Marek Zoth <marek.zoth@volny.cz>
 *
 */

#include "eutmpparser.h"
#include "magents/parsingmagent.h"

/// Name of the file, where the ps's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

using namespace magents;
using namespace mframes;

/* --===  PROGRAM ENTRY POINT ===-- */
int main (int argc, char *argv[])
{
    tUtmpParser parser;
    tModule::tCmdLine cmdline (argc, argv);
    tParsingMagent u (cmdline, cfg_filename, parser);

    /* init an agent */
    if (u.init ("utmp"))
        return 1;

    int ret = u.run ();
    u.cleanup();

    return ret;
}
