/**
 * @brief Echelog Miniagent -- w main and stuff around
 *
 * This agent periodically executes w and collected information
 * passes as echelog messages.
 *
 * @author Kamil Toman <ktoman@email.cz>, Marek Zoth <marek.zoth@volny.cz>
 *
 */

#include "wparser.h"
#include "magents/parsingmagent.h"

/// Name of the file, where the 's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

using namespace magents;
using namespace mframes;

/* --===  PROGRAM ENTRY POINT ===-- */
int main (int argc, char *argv[])
{
    tWParser parser;
    tModule::tCmdLine cmdline (argc, argv);
    tParsingMagent w (cmdline, cfg_filename, parser);

    /* init an agent */
    if (w.init ("mipw"))
        return 1;

    int ret = w.run ();
    w.cleanup();

    return ret;
}
