/**
 * @file
 * @brief Echelog Messsage Sniffer
 *
 * This file contains implementation of msgsniff's main and stuff around.
 *
 * @author Marek Zoth <marek.zoth@volny.cz>
 *
 */

#include "msgsnifftarget.h"
#include "mframes/msgprocessingmodule.h"

using namespace mframes;

/// Name of the file, where the msgsniff's configuration is written
const char* const cfg_filename = DEFAULT_MODULE_CONFIG;

/// --===  PROGRAM ENTRY POINT ===--
int main (int argc, char *argv[])
{
    tModule::tCmdLine cmdline (argc, argv);
    tMsgSniffTarget target;
    tMsgProcessingModule msgsniff (cmdline, cfg_filename);

    if (msgsniff.init (&target, true))
        return 1;

    int ret = msgsniff.run ();
    msgsniff.cleanup();

    return ret;
}
